Subject: bug#20154: 25.0.50; json-encode-string is too slow for large strings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Mar 2015 17:03:57 +0200

> Date: Fri, 20 Mar 2015 16:43:36 +0200
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 03/20/2015 04:34 PM, Eli Zaretskii wrote:
> 
> > I suggest to start with a detailed profile of the current
> > implementation,
> 
> Any suggestions there?

json-encode-char and mapconcat take most of the time, so it seems.

> By the way, I've included the example, so you can also profile it
> yourself.

Yes, I could.  What's your point, though?